Bug 1746175 - Adding a 2nd disk type of storage_pod/datastore_cluster fails to create vm
Summary: Adding a 2nd disk type of storage_pod/datastore_cluster fails to create vm
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - VMWare
Version: 6.6.0
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: 6.6.0
Assignee: Ondřej Ezr
QA Contact: Jitendra Yejare
URL: https://projects.theforeman.org/issue...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-27 20:50 UTC by Chris Roberts
Modified: 2019-10-22 12:48 UTC (History)
4 users (show)

Fixed In Version: fog-vsphere-3.2.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 12:47:58 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot (80.48 KB, image/png)
2019-08-27 20:50 UTC, Chris Roberts
no flags Details
Before and After mismatch in Datastore/Cluster selection (67.59 KB, application/zip)
2019-09-09 14:43 UTC, Jitendra Yejare
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27719 None None None 2019-08-27 20:50:27 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:48:06 UTC

Internal Links: 1750758

Description Chris Roberts 2019-08-27 20:50:28 UTC
Created attachment 1608722 [details]
screenshot

Error:

Failed to create a compute test (VMware) instance tammy-arnzen.toledo.satellite.lab.eng.rdu2.redhat.com: wrong number of arguments (given 2, expected 1)

Traceback:


2019-08-27T16:40:18 [W|app|09a39f98] Failed to create a compute test (VMware) instance tammy-arnzen.toledo.satellite.lab.eng.rdu2.redhat.com: wrong number of arguments (given 2, expected 1)

ArgumentError: wrong number of arguments (given 2, expected 1)
/opt/theforeman/tfm/root/usr/share/gems/gems/fog-vsphere-3.2.0/lib/fog/vsphere/requests/compute/create_vm.rb:75:in `group_disks_by_storage_pod'
/opt/theforeman/tfm/root/usr/share/gems/gems/fog-vsphere-3.2.0/lib/fog/vsphere/requests/compute/create_vm.rb:55:in `create_vm_on_storage_pod'
/opt/theforeman/tfm/root/usr/share/gems/gems/fog-vsphere-3.2.0/lib/fog/vsphere/requests/compute/create_vm.rb:36:in `create_vm'
/opt/theforeman/tfm/root/usr/share/gems/gems/fog-vsphere-3.2.0/lib/fog/vsphere/models/compute/server.rb:302:in `save'
/usr/share/foreman/app/models/compute_resources/foreman/model/vmware.rb:484:in `create_vm'
/usr/share/foreman/app/models/concerns/orchestration/compute.rb:91:in `setCompute'

Comment 4 Bryan Kearney 2019-09-03 10:01:18 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27719 has been resolved.

Comment 5 Ondřej Ezr 2019-09-03 10:57:46 UTC
Needs bump of fog-vsphere to v3.2.1 or cherry-pick https://github.com/fog/fog-vsphere/commit/d520c5f429dae30ccdbf475351368d051268993b

Comment 8 Jitendra Yejare 2019-09-09 14:42:16 UTC
FailedQA!

@ Satellite 6.6 snap 16

Steps:
----------------

1. Attempt to provision a VM on VMWare.
2. Select 1 disk from DataStore.
3. Select another from Storage Pod - iSCSI cluster.
4. Provision the VM.


Observation:
----------------
1. VM is provisioned but both the disks are assigned from non-selected(while provisioning) data store.
2. This also includes the iSCSI cluster storage pod disk is not being selected.


Attaching before and after screenshots disks selected on provisioning.

# Note: Even at VMWare end these disk mismatch is happening, so it's not only satellite end UI issue.

Comment 9 Jitendra Yejare 2019-09-09 14:43:56 UTC
Created attachment 1613190 [details]
Before and After mismatch in Datastore/Cluster selection

Comment 10 Ondřej Ezr 2019-09-10 12:28:16 UTC
Hi Jitendara,

I believe this is not an issue in scope of this BZ, could you please create new one for this issue?

Thanks! :)

Comment 11 Jitendra Yejare 2019-09-10 12:58:28 UTC
As per comment 8, this bug is fixed as we didn't observe the issue/error mentioned in the description of this bug.

But as per comment 8 and comment 10, we found another issue for which new bug is filled here - https://bugzilla.redhat.com/show_bug.cgi?id=1750758 and this issue is out of the scope of this bug.

Hence moving the status of this bug to Verified.

Comment 13 errata-xmlrpc 2019-10-22 12:47:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.